BizKitHub
DocsAPI ReferenceService/api/service/scheduler/log
postServiceService

/api/service/scheduler/log

Centralized log channel for the external scheduler runner. Always writes against the BizKitHub internal organisation so failures are surfaced even when the runner has no DB access.

servicepostApiServiceSchedulerLog

Parameters

JSON body

Request body

application/json
apiKeystringRequired
messagestringRequired
level"info" | "success" | "error" | "warning" | "critical"Optional
Values: infosuccesserrorwarningcritical
subjectstringOptional

Response schema

1 status code documented

200Success
success"true"Required

Response example

application/json
{
  "success": true
}

Request example

POST /api/service/scheduler/log

post
curl -X POST "https://api.bizkithub.com/api/service/scheduler/log" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "apiKey": "example_apiKey",
  "message": "example_message",
  "level": "info",
  "subject": "example_subject"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key